Debian Bug report logs - #229128
Problems installin to something else than MBR

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Brian R Drell <drell@mail.utexas.edu>

Date: Fri, 23 Jan 2004 07:33:01 UTC

Severity: normal

Merged with 255116

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#229128; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Brian R Drell <drell@mail.utexas.edu>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian R Drell <drell@mail.utexas.edu>
To: submit@bugs.debian.org
Subject: installation
Date: Fri, 23 Jan 2004 01:17:13 -0600
[Message part 1 (text/plain, inline)]
Package: installation-reports

Debian-installer-version: Jan 22, 2004 -- debian website
uname -a: Linux www 2.4.22-1-386 #9 Sat Oct 4 14:30:39 EST 2003 i586 GNU/Linux
Date: Jan 22, 2004
Method: Booted from atapi cdrom.  100 MB Debian base cd image.  Updated and 
filled out from ftp.us.debian.org.

Machine: Home computer, small desktop
Processor: AMD K6-2 400
Memory: 128 MB PC133 SDRAM
Root Device: /dev/hda maxtor ide 4GB drive
Root Size/partition table: /dev/hda1 /boot/ 102 MB; /dev/hda2 / 3.7 GB
Output of lspci:
00:00.0 Host bridge: ALi Corporation M1541 (rev 04)
00:01.0 PCI bridge: ALi Corporation M1541 PCI to AGP Controller (rev 04)
00:02.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:07.0 ISA bridge: ALi Corporation M1533 PCI to ISA Bridge [Aladdin IV] 
(rev c3)
00:08.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 04)
00:09.0 Ethernet controller: Linksys Network Everywhere Fast Ethernet 
10/100 model NC100 (rev 11)
00:0f.0 IDE interface: ALi Corporation M5229 IDE (rev c1)
01:00.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)


Base System Installation Checklist:

Initial boot worked:    [O]
Configure network HW:   [O]
Config network:         [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Create file systems:    [O]
Mount partitions:       [O]
Install base system:    [O]
Install boot loader:    [O]
Reboot:                 [O]
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Comments/Problems: The install went very smoothly.  I think that the 
base-config could be simplified a great deal.  I loved that the installer 
easily found and installed the correct drivers for my hardware.  The 
base-config did not ask me for sources of non-free software, so I had to 
put them in sources.list manually, as well as security updates.  Also, I 
had to hit cancel to get out of the apt configuration area.  I think those 
were the only problems, and I assume that they're not actually due to the 
debian installer, but a different program.

I'm going to try it on my regular machine.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#229128; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 229128@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Brian R Drell <drell@mail.utexas.edu>
Cc: 229128@bugs.debian.org
Subject: Re: installation
Date: Mon, 3 May 2004 01:01:13 +0100
* Brian R Drell <drell@mail.utexas.edu> [2004-01-23 01:17]:
> Comments/Problems: The install went very smoothly.  I think that the 
> base-config could be simplified a great deal.  I loved that the installer 
> easily found and installed the correct drivers for my hardware.  The 
> base-config did not ask me for sources of non-free software, so I had to 
> put them in sources.list manually, as well as security updates.

The APT line for security updates should be added automatically.
non-free is not added by default anymore - it's only asked at a lower
debconf priority.  This is because most people don't need non-free
software.

> Also, I had to hit cancel to get out of the apt configuration area.

Which apt configuration area?  Why do you have to press cancel?

> I'm going to try it on my regular machine.

Can you try the new beta4?
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#229128; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Brian R Drell <drell@mail.hep.utexas.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 229128@bugs.debian.org (full text, mbox):

From: Brian R Drell <drell@mail.hep.utexas.edu>
To: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: installation
Date: Mon, 03 May 2004 16:06:58 -0500
Tried the beta4 installer.  Here are my impressions:

The initial partitioning screen gave 2 options -- erase whole disk, or 
manually partition.  I chose manually partition, as I was installing on 
a spare partition on my main box.  From there, you can go to something 
like "walk-through partitioning" which takes you back to the previous 
screen.  You might think about just calling this "return to previous 
screen".  Also, it doesn't really walk you through anything there, does 
it?  only 2 options...  Maybe this is just my impression, but it seems 
like things could be worded a little differently.  If you'd like me to 
further elaborate, please let me know.

Next, the grub installation, when not installing to MBR, needs to be 
more clear on Grub partitioning scheme.  Also, I installed everything to 
/dev/hdb7, my spare partition, and told grub-installer to install to 
(hd0,6) -- I only have 1 hd, so it's hd0 under grub -- and it didn't 
work.  I was going to chainload the Debian installed Grub from my normal 
one installed with my Gentoo system.  I told it to install to /dev/hdb7, 
and it worked fine.  I'd say, either leave off the Grub partitioning 
thing altogether and just use /dev references, or make the Grub stuff 
more clear.  Not sure why it didn't work when I told it (hd0,6) but did 
when I told it /dev/hdb7.

Lastly, the base system configurator only lets me add one apt source. 
The old installer lets me add as many as I want, and I always thought 
this was a good thing.  I'm glad that security updates are added by 
default, but I'd still like to be asked by default if I want to install 
non-US and non-free software.  If not by default, then the configurator 
needs to ask me at the beginning what debconf priority I want.

Hope these impressions are helpful, and please let me know if you have 
any questions about this.

Thanks.

Martin Michlmayr wrote:
> * Brian R Drell <drell@mail.utexas.edu> [2004-01-23 01:17]:
> 
>>Comments/Problems: The install went very smoothly.  I think that the 
>>base-config could be simplified a great deal.  I loved that the installer 
>>easily found and installed the correct drivers for my hardware.  The 
>>base-config did not ask me for sources of non-free software, so I had to 
>>put them in sources.list manually, as well as security updates.
> 
> 
> The APT line for security updates should be added automatically.
> non-free is not added by default anymore - it's only asked at a lower
> debconf priority.  This is because most people don't need non-free
> software.
> 
> 
>>Also, I had to hit cancel to get out of the apt configuration area.
> 
> 
> Which apt configuration area?  Why do you have to press cancel?
> 
> 
>>I'm going to try it on my regular machine.
> 
> 
> Can you try the new beta4?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#229128; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 229128@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Brian R Drell <drell@mail.hep.utexas.edu>
Cc: 229128@bugs.debian.org
Subject: Re: installation
Date: Mon, 3 May 2004 22:24:58 +0100
clone 229128 -1
reassign -1 partman-auto
retitle -1 Goes back to same menu, and needs better description
reassign 229128 grub-installer
retitle 229128 Problems installin to something else than MBR
thanks

* Brian R Drell <drell@mail.hep.utexas.edu> [2004-05-03 16:06]:
> The initial partitioning screen gave 2 options -- erase whole disk, or 
> manually partition.  I chose manually partition, as I was installing on 
> a spare partition on my main box.  From there, you can go to something 
> like "walk-through partitioning" which takes you back to the previous 
> screen.  You might think about just calling this "return to previous 
> screen".  Also, it doesn't really walk you through anything there, does 
> it?  only 2 options...  Maybe this is just my impression, but it seems 
> like things could be worded a little differently.  If you'd like me to 
> further elaborate, please let me know.

I'm reassigning this bug to partman-auto.  I hope the author will get
back to you.

> Next, the grub installation, when not installing to MBR, needs to be 
> more clear on Grub partitioning scheme.  Also, I installed everything to 
> /dev/hdb7, my spare partition, and told grub-installer to install to 
> (hd0,6) -- I only have 1 hd, so it's hd0 under grub -- and it didn't 
> work.  I was going to chainload the Debian installed Grub from my normal 
> one installed with my Gentoo system.  I told it to install to /dev/hdb7, 
> and it worked fine.  I'd say, either leave off the Grub partitioning 
> thing altogether and just use /dev references, or make the Grub stuff 
> more clear.  Not sure why it didn't work when I told it (hd0,6) but did 
> when I told it /dev/hdb7.

Same, I'm reassigning this to grub-installer.

> Lastly, the base system configurator only lets me add one apt source. 
> The old installer lets me add as many as I want, and I always thought 
> this was a good thing.  I'm glad that security updates are added by 
> default, but I'd still like to be asked by default if I want to install 
> non-US and non-free software.  If not by default, then the configurator 
> needs to ask me at the beginning what debconf priority I want.

When you hit "go back", you'll be dropped into a menu.  There, you
have the option to change the debconf priority.  non-US is virtually
obsolete, and most people don't need non-free anymore.
-- 
Martin Michlmayr
tbm@cyrius.com



Bug 229128 cloned as bug 247220. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `grub-installer'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229128; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Brian R Drell <drell@mail.hep.utexas.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 229128@bugs.debian.org (full text, mbox):

From: Brian R Drell <drell@mail.hep.utexas.edu>
To: 229128@bugs.debian.org
Subject: Debian-Installer trouble
Date: Tue, 04 May 2004 00:49:45 -0500
I have now installed with beta 4 twice today, the first with linux 2.4 
and the second on linux 2.6.  I submitted a report earlier, and to update:

Grub installation fails the first time I try it, whether I use the Grub 
partition format or the /dev node format.  I can go back to the main 
menu after it fails, and try it again with success.  I am installing 
Grub on the boot sector of a logical partition on an IDE disk, if that 
makes any difference.

Thanks.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229128; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin@piware.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 229128@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin@piware.de>
To: 229128@bugs.debian.org
Subject: Re: grub install to non-MBR fails the first time [was: Debian-Installer trouble]
Date: Wed, 5 May 2004 20:05:15 +0200
[Message part 1 (text/plain, inline)]
Hi!

On 2004-05-04  0:49 -0500, Brian R Drell wrote:
> I have now installed with beta 4 twice today, the first with linux 2.4 
> and the second on linux 2.6.  I submitted a report earlier, and to update:
> 
> Grub installation fails the first time I try it, whether I use the Grub 
> partition format or the /dev node format.  I can go back to the main 
> menu after it fails, and try it again with success.  I am installing 
> Grub on the boot sector of a logical partition on an IDE disk, if that 
> makes any difference.

I can confirm that; I tried that yesterday with the same result: it
failed at the first attempt and magically succeeded at the second.

Maybe the according log entry (of the installed system) helps here:

------------------ /var/log/debian-installer/messages -------------------
[...]
The following NEW packages will be installed:
  grub
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 283kB of archives.
After unpacking 647kB of additional disk space will be used.
Get:1 http://ftp.de.debian.org sarge/main grub 0.93+cvs20031021-8 [283kB]
Fetched 283kB in 3s (73.5kB/s)
Selecting previously deselected package grub.
(Reading database ... 10046 files and directories currently installed.)
Unpacking grub (from .../grub_0.93+cvs20031021-8_i386.deb) ...
Setting up grub (0.93+cvs20031021-8) ...
Probing devices to guess BIOS drives. This may take a long time.


    GNU GRUB  version 0.94  (640K lower / 3072K upper memory)

 [ Minimal BASH-like line editing is supported.  For the first word, TAB
   lists possible command completions.  Anywhere else TAB lists the possible
   completions of a device/filename. ]
grub> root (hd0,0)
 Filesystem type is reiserfs, partition type 0x83
grub> setup  --stage2=/boot/grub/stage2 --prefix=/boot/grub (hd0,0)
 Checking if "/boot/grub/stage1" exists... yes
 Checking if "/boot/grub/stage2" exists... yes
 Checking if "/boot/grub/reiserfs_stage1_5" exists... yes
 Running "embed /boot/grub/reiserfs_stage1_5 (hd0,0)"...  18 sectors are embedded.
succeeded
 Running "install --stage2=/boot/grub/stage2 /boot/grub/stage1 (hd0,0) (hd0,0)1+18 p (hd0,0)/boot/grub/stage2 /boot/grub/menu.lst"... failed

Error 6: Mismatched or corrupt version of stage1/stage2
grub> quit
Reading Package Lists...
Building Dependency Tree...
grub is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Installation finished. No error reported.
This is the contents of the device map /boot/grub/device.map.
Check if this is correct or not. If any of the lines is incorrect,
fix it and re-run the script `grub-install'.

(hd0)   /dev/hda
Searching for GRUB installation directory ... found: /boot/grub .
Testing for an existing GRUB menu.list file...

Could not find /boot/grub/menu.lst file. Would you like /boot/grub/menu.lst generated for you? (y/N) Found kernel: /boot/vmlinuz-2.6.3-1-k7
Updating /boot/grub/menu.lst ... done

Reading Package Lists...
--------------------------------------------------------------------------

The "mismatched or corrupt version of stage1/stage2" may be the point here.

I can send you the whole log directory if that helps.

Thanks,

Martin

-- 
Martin Pitt                 Debian GNU/Linux Developer
martin@piware.de                      mpitt@debian.org
http://www.piware.de             http://www.debian.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#229128; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 229128@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 229128-submitter@bugs.debian.org
Cc: 229128@bugs.debian.org
Subject: can you still reproduce bug #229128?
Date: Sat, 2 Oct 2004 11:27:30 -0400
[Message part 1 (text/plain, inline)]
I wonder if you're still able to reproduce this grub installation bug?
(http://bugs.debian.org/229128). If so, it sounds like some sort of grub
bug and not a bug in the installer itself.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Brian R Drell <drell@mail.utexas.edu>:
Bug#229128. Full text and rfc822 format available.

Forcibly Merged 229128 255116. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 23:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:37:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.